      REAL FUNCTION HMIROT(XDUMMY)
      REAL
     +ID      ,IND     ,DEPTH   ,COINC   ,ASEG    ,BSEG    ,
     +APHA    ,ACHN    ,BPHA    ,BCHN    ,CPHA    ,CCHN    ,
     +DPHA    ,DCHN    ,EPHA    ,ECHN     
*
      LOGICAL         CHAIN
      CHARACTER*128   CFILE
*
      COMMON /PAWCHN/ CHAIN, NCHEVT, ICHEVT
      COMMON /PAWCHC/ CFILE
*
      COMMON/PAWIDN/IDNEVT,VIDN1,VIDN2,VIDN3,VIDN(10),
     +ID      ,IND     ,DEPTH   ,COINC   ,ASEG    ,BSEG    ,
     +APHA    ,ACHN    ,BPHA    ,BCHN    ,CPHA    ,CCHN    ,
     +DPHA    ,DCHN    ,EPHA    ,ECHN     
*
      
      HMIROT=-99.
      if (id.eq.07181847.) THEN HMIROT =   0.0 ENDIF
      if (id.eq.07182251.) THEN HMIROT =  45.0 ENDIF
      if (id.eq.07190026.) THEN HMIROT =  35.0 ENDIF
      if (id.eq.07190303.) THEN HMIROT =  25.0 ENDIF
      if (id.eq.07190608.) THEN HMIROT =  15.0 ENDIF

      END
